---
search:
  tags:
    - Accounts
    - POST
seo:
  description: >-
    Get monthly badge crafting counts for an account. Reference for the POST
    /v1/account.getBadgeHeatmap endpoint in the SteamSets API.
sidebar:
  label: Get monthly badge crafting counts for an account
  badge: POST
title: Get monthly badge crafting counts for an account
type: openapi-operation
---
`POST /v1/account.getBadgeHeatmap`

**Request body** (`application/json`, required)

- `id` (IDSearch)
- `vanity` (VanitySearch)

Request body example:

```json
{
  "id": {
    "accountId": 0,
    "steamId64": "stringstringstrin"
  },
  "vanity": {
    "type": "steam",
    "value": "string"
  }
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `401` — Unauthorized
- `404` — Not Found
- `422` — Unprocessable Entity
- `500` — Internal Server Error

Response example, 200:

```json
{
  "property1": 0,
  "property2": 0
}
```
